ReadIRIS OCRengineProblem:Do we have to scan documents again

The update-note says:
" … Finally, version 1.5.2.1 fixes a severe incompatibility of the latest ReadIRIS OCR engine and Mac OS X’s PDFKit framework."

Does this mean, that PFDFs made before the update, with “the latest ReadIRIS OCR engine”, do now and in the future have severe incompatibility-issus?
How do these issues look like?

Do we have to scan these documents again? If yes, how far back?

That note was referring to the engine that came with release 1.5.2. So how far back is about 20 hours tops. See the blog for a more detailed discussion.